.block-latest-calendar {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    padding: var( --block-spacing) 0;

}
.block-latest-calendar.arrows-position-side .multiple-buttons{
    text-align: center;
}
.block-latest-calendar.nopaddingtop{
    padding-top: 0;
}
.block-latest-calendar.nopaddingbottom{
    padding-bottom: 0;
}
.block-latest-calendar .acf-innerblocks-container {
    flex: 0 0 100%;
    width: 100%;
}
.block-latest-calendar .latest-calendar {
    display: flex;
    margin-bottom: 80px;
}
.block-latest-calendar .month-position-side{
    display: flex;
    align-items: center
}
.block-latest-calendar .date-position-side{
    display: flex;
}

.block-latest-calendar.arrows-position-side .latest-calendar {
    padding: 0 50px;
}
.block-latest-calendar .latest-calendar .slick-list .slick-track,
.block-latest-calendar .latest-calendar .slick-list{
    width: 100%;
}
.block-latest-calendar .latest-article {
    flex: 0 0 32.333333%;
    position: relative;
    padding: 0 20px;
    margin: 0 20px;
    overflow: hidden;
    display: flex;
}
.block-latest-calendar .latest-article .latest-article-image:after {
    content: "";
    width: 100%;
    height: 60%;
    position: absolute;
    bottom: 0;
    z-index: 1;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.65) 0, rgba(0, 0, 0, 0) 100%);
    transform: rotate(-180deg);
}
.block-latest-calendar .latest-article-image {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100%;
    z-index: 1
}
.block-latest-calendar .latest-article .latest-article-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}
.block-latest-calendar .latest-article .latest-article-image:before{
    content: "";
    width: 100%;
    height: 0%;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    margin: auto;
    left: 0;
    opacity: 0;
    z-index: 9;
    background: var(--primary);
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;

}
.block-latest-calendar .latest-article.calendar-type-under .latest-article-title:before{
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    margin: auto;
    left: 0;
    z-index: -1;
    background: var(--primary);
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.block-latest-calendar .latest-article.calendar-type-under.background-card-primary .latest-article-title:before{
    background-color: var(--primary);
}
.block-latest-calendar .latest-article.calendar-type-under.background-card-secondary .latest-article-title:before{
    background-color: var(--secondary);
}
.block-latest-calendar .latest-article.calendar-type-under.background-card-third.latest-article-title:before{
    background-color: var(--third);
}

.block-latest-calendar .latest-article.calendar-type-under.background-card-forth .latest-article-title:before{
    background-color: var(--forth);
}

.block-latest-calendar .latest-article.calendar-type-under.background-card-none .latest-article-title:before{
    background-color: transparent;
}

.block-latest-calendar .latest-article.calendar-type-under.card-text-primary{
    color: var(--primary);
}
.block-latest-calendar .latest-article.calendar-type-under.card-text-secondary{
    color: var(--secondary);
}
.block-latest-calendar .latest-article.calendar-type-under.card-text-third{
    color: var(--third);
}
.block-latest-calendar .latest-article.calendar-type-under.card-text-forth{
    color: var(--forth);
}

.block-latest-calendar a.latest-article.calendar-type-over:hover .latest-article-image:before,
.block-latest-calendar a.latest-article .latest-article-image:hover:before {
    height: 100%;
    opacity: 0.85;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}

.block-latest-calendar .latest-article.calendar-type-under .latest-article-title{
    position: relative;
    z-index: 2;
    padding: 20px 10px;
}
.block-latest-calendar .latest-article.calendar-type-over .latest-article-title {
    position: absolute;
    z-index: 2;
    padding: 40px;
    box-sizing: border-box;
    display: flex;
    align-items: flex-end;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    color: #fff;
}
.block-latest-calendar .latest-article.calendar-type-over .latest-article-title .title-position-left{
    justify-content: flex-start;
}
.block-latest-calendar .latest-article.calendar-type-over .latest-article-title .title-position-center{
    justify-content: center;
}
.block-latest-calendar .latest-article.calendar-type-over .latest-article-title .title-position-right{
    justify-content: flex-end;
}
.block-latest-calendar .latest-article.calendar-type-under .latest-article-title .title-position-left{
    text-align:left;
}
.block-latest-calendar .latest-article.calendar-type-under .latest-article-title .title-position-center{
    text-align:center;
}
.block-latest-calendar .latest-article.calendar-type-under .latest-article-title .title-position-right{
    text-align: right;
}
.block-latest-calendar .latest-article-image.calendar-border-square{
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
}
.block-latest-calendar .latest-article-image.calendar-border-round{
    -webkit-border-radius:50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
}
.block-latest-calendar .latest-article-image.calendar-border-rounded{
    -webkit-border-radius: 25px;
    -moz-border-radius: 25px;
    border-radius: 25px;
}

.block-latest-calendar.arrows-position-left .arrows-calendar{
    justify-content: flex-start;
}
.block-latest-calendar.arrows-position-center .arrows-calendar{
    justify-content: center;
}
.block-latest-calendar.arrows-position-right .arrows-calendar{
    justify-content: flex-end;
}
.block-latest-calendar.arrows-position-side .arrows-calendar{
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
}
.block-latest-calendar.arrows-position-none .arrows-calendar{
    display: none
}
.block-latest-calendar.arrows-position-side .arrows-calendar .prev{
    position: absolute;
    left: 0;
}
.block-latest-calendar.arrows-position-side .arrows-calendar .next{
    position: absolute;
    right: 0;
}

.block-latest-calendar .acf-innerblocks-container{
    display: flex;
    flex-direction: column;
}
.block-latest-calendar.section-title-align-left .acf-innerblocks-container{
    align-items: flex-start;
}
.block-latest-calendar.section-title-align-center .acf-innerblocks-container{
    align-items: center;
}
.block-latest-calendar.section-title-align-right .acf-innerblocks-container{
    align-items: flex-end;
}
.block-latest-calendar .calendar-arrows-buttons{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.block-latest-calendar.arrows-position-right .calendar-arrows-buttons{
    flex-direction: row-reverse;
}


.block-latest-calendar .calendar-date{
    position: relative;
    margin-bottom: 20px;
    text-align: center;
    justify-content: center;
}
.block-latest-calendar .calendar-date .title-calendar{
    position: relative;
    text-align: center;
    justify-content: center;
}
.block-latest-calendar .calendar-date .calendar-day{
    font-weight: 600;
    font-size: 80px;
    line-height: 100px;
    font-family: var(--font-headings);
}
.block-latest-calendar .calendar-date .calendar-month{
    font-weight: 600;
    font-size: 44px;
    line-height: 52px;
    text-align: center;

}
.block-latest-calendar .calendar-details {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.block-latest-calendar .calendar-details .calendar-title{
    font-weight: 600;
    font-size: 18px;
    line-height: 22px;
    text-align: center;
    min-height: 90px;
    margin-bottom: 20px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    line-clamp: 4;
    -webkit-box-orient: vertical;
}
.block-latest-calendar .calendar-details .calendar-time{
    font-weight: 900;
    font-size: 14px;
    line-height: 14px;
    text-transform: uppercase;
    text-align: center;
}
.block-latest-calendar .event-ends{
    justify-content: center;
    display: flex;
    height: 30px;
}
.block-latest-calendar  .event-ends div{
    font-size: 20px;
    font-weight: 900;
}
.block-latest-calendar  .event-ends .end-calendar-day{
    margin: 0 5px;
}
.block-latest-calendar .graphical-title-inside::after{
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.block-latest-calendar .underline-inside-color-primary:hover .graphical-title-inside::after{
    background-color: var(--secondary);
}
@media only screen and (max-width: 1600px) {
    .block-latest-calendar {
        margin: 0;
    }
}
@media only screen and (max-width: 1200px) {
    .block-latest-calendar {
        margin-block: var(--wp--style--block-gap) !important;
    }
    .block-latest-calendar .latest-calendar {
        margin-bottom: 20px;
    }
    .block-latest-calendar h2 {
        font-size: 8vw;
        line-height: 8vw;
        margin-bottom: 0 !important;
    }
    .block-latest-calendar .latest-article {
        flex: 0 0 100%;
        flex: 0 0 49.333333%;
        height: auto;
    }
}
@media only screen and (max-width: 800px) {
    .block-latest-calendar .latest-article {
        flex: 0 0 100%;
        height: auto;
    }
    .block-latest-calendar .latest-calendar,
    .block-latest-calendar.arrows-position-side .latest-calendar{
        padding:20px 0 0;
    }
    .block-latest-calendar.arrows-position-side .arrows-calendar{
        position: relative;
        top: 0;
        justify-content: center;
        margin-bottom: 40px;

    }
    .block-latest-calendar.arrows-position-side .arrows-calendar .prev{
        position: relative;
        margin: 0 10px;
    }
    .block-latest-calendar.arrows-position-side .arrows-calendar .next{
        position: relative;
        margin: 0 10px;
    }
    .block-latest-calendar.arrows-position-side .multiple-buttons {
        text-align: center;
        flex-direction: column;
        display: flex;
        align-items: center;
    }
    .calendar-arrows-buttons{
        flex-direction: column;
    }
    .calendar-arrows-buttons .arrows {
        margin-bottom: 20px;
    }

}
